> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/connect-your-technology/d-j-integrations/devo-setup-for-workbench.md).

# Devo Setup for Workbench

## Step 1: Enable Console Access <a href="#h_01hyedend6xsp78e9g64mc0ktk" id="h_01hyedend6xsp78e9g64mc0ktk"></a>

This step creates a user account for Expel that keeps Expel activity separate from other activity on the Devo console. For more information, see [Why Expel Asks for Console Access](/connect-your-technology/about-integrations/why-expel-asks-for-console-access.md).

1. Navigate to **Administration > Users** and select **ADD USER** at the upper right of the page.
2. Configure the user as follows:
   * **Email** - enter "soc+\<Your\_Organization\_Name>@expel.i&#x6F;**"**.
     * For example, if your organization were Acme Corp, the format would be "<soc+acme_corp@expel.io>".
   * **Username** - enter "<soc@expel.i>&#x6F;**"**.
   * **Role** - select **Administrator**.
3. Click **Save**.

## Step 2: Enable API Access for Expel <a href="#h_01hyedend6shjkwqpfwqj7w016" id="h_01hyedend6shjkwqpfwqj7w016"></a>

This procedure creates an authentication token that allows access to the Devo API.

1. Navigate to **Administration > Credentials** and select **CREATE NEW API KEY** at the upper right of the page.
2. **Copy and save** the newly generated **API Key** and **API Secret** in a safe place for use in the next step.

## Step 3: Configure DEVO in Workbench <a href="#h_01j29s1mbpzv7qyd43hchs2wa7" id="h_01j29s1mbpzv7qyd43hchs2wa7"></a>

Now that you have the correct access configured and noted the credentials, you can integrate your tech with Workbench.

1. ​[Log in to Workbench](https://workbench.expel.io/auth/login?orig=%2F).
2. In the side menu, navigate to **Organization Settings > Security Devices**.
3. Select **Add Security Device**.
4. Search for and select "Devo".
5. A configuration pane displays. Complete the fields as follows:
   * **Name** - enter a name that might help you more easily identify this integration, such as “CompanyName Devo”; this name will display in Workbench under the Name column, and is a text string that you can filter on.
   * **Location** - enter the location of your integration, for example “cloud.” This is also a text string that you can filter on, so we recommend being consistent with location naming across your Expel integrations.
   * **Server** - enter your Devo Web URL address (for example, `https://apiv2-us.devo.com/`).
   * **API Key** and **API Secret** - enter the credentials generated in [Step 2](#h_01hyedend6shjkwqpfwqj7w016).
6. Select **Save**.
7. On the console access screen, select **Set up now**.
8. In the Console Login area, enter these details:
   * **Console URL** - enter your Devo console URL. At the end of the URL, type **/login**.
   * **Username** - enter the username you created in [Step 1](#h_01hyedend6xsp78e9g64mc0ktk).
   * **Password** - enter the password you created in [Step 1](#h_01hyedend6xsp78e9g64mc0ktk).
   * **Two-factor secret key (32-character code)** - depending on how your organization enforces log-ins, this field may not apply to you. In these cases, you can leave it blank. This field is optional, and if you have questions or concerns, reach out to your Customer Success Manager (CSM) or to support.
9. Click **Save**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.expel.io/connect-your-technology/d-j-integrations/devo-setup-for-workbench.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
